io.vertx.rxjava3.ext.shell.term

## Class Tty

- java.lang.Object
- - io.vertx.rxjava3.ext.shell.term.Tty

- Direct Known Subclasses:
    CommandProcess, Term

      public class Tty
      extends Object

  Provide interactions with the Shell TTY.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Tty>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tty(Object delegate)`
    `Tty(Tty delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Tty` | `getDelegate()`
    `int` | `hashCode()`
    `int` | `height()`
    `static Tty` | `newInstance(Tty arg)`
    `Tty` | `resizehandler(Handler<Void> handler)` Set a resize handler, the handler is called when the tty size changes.
    `Tty` | `stdinHandler(Handler<String> handler)` Set a stream handler on the standard input to read the data.
    `String` | `toString()`
    `String` | `type()`
    `int` | `width()`
    `Tty` | `write(String data)` Write data to the standard output.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Tty> __TYPE_ARG

  - ### Constructor Detail

    - #### Tty

          public Tty(Tty delegate)

    - #### Tty

          public Tty(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Tty getDelegate()

    - #### type

          public String type()

      Returns:
        the declared tty type, for instance , , etc... it can be null when the tty does not have declared its type.

    - #### width

          public int width()

      Returns:
        the current width, i.e the number of rows or if unknown

    - #### height

          public int height()

      Returns:
        the current height, i.e the number of columns or if unknown

    - #### stdinHandler

          public Tty stdinHandler(Handler<String> handler)

      Set a stream handler on the standard input to read the data.
      Parameters:
        `handler` - the standard input
      Returns:
        this object

    - #### write

          public Tty write(String data)

      Write data to the standard output.
      Parameters:
        `data` - the data to write
      Returns:
        this object

    - #### resizehandler

          public Tty resizehandler(Handler<Void> handler)

      Set a resize handler, the handler is called when the tty size changes.
      Parameters:
        `handler` - the resize handler
      Returns:
        this object

    - #### newInstance

          public static Tty newInstance(Tty arg)

Copyright © 2021 Eclipse. All rights reserved.